29 de agosto de 2012

EnKoDeur-mixeur - ferramenta de pós-produção de vídeo, som e imagem

EnkoDeur-Mixer (EKD) é um ferramenta opensource para produzir vídeos com seus arquivos de imagens, áudios e vídeos  numa pós-produção. Ele é multi-plataforma e disponíveis para GNU/Linux, MacOSX e Windows. Foi escrito em Python utilizando PyQt4. É uma ferramenta fácil de usar para processar lote imagens, áudios e arquivos de vídeos. Você pode usar EKD para transcodificar vários formatos de vídeo, como AVI Raw I420, DV, Ogg Theora (. Ogg), 3GP, wmv2, AMV e muitos mais.

Você também pode transcodificar vídeos para a web, codificar HD (em Alta Definição), adicionar filtros, edição de vídeo simples, separar pistas de áudio, converter vídeo para um lote de imagens, criar slidehshow, adicionar tag aos vídeos e assim por diante.
Com EKD, você pode editar imagens, redimensioná-las, convertê-las em outros formatos, criar gifs animados a partir das imagens, renomear imagens em lote, visualizar e salvar os dados em arquivo txt. Em uma ou mais imagens você pode adicionar filtros, multiplicar , inserir transições nas sequências e assim por diante.

No caso de arquivos de áudio, você pode usar EKD para transcodificar arquivos para WAV, MP3, MP2, OGG, FLAC, WMA, M4A, AC3 e AAC. Você pode cortar esses arquivos e até mesmo juntá-los. Você também pode normalizar e converter esses arquivos.

Você pode baixar o pacote DEB do EKD para o Debian e derivado e poderá instalar no Ubuntu através da Central de Programas.

INSTALAÇÃO
1 - Baixe a versão 3.1.2-1 neste link;
2 - Abra o navegador de arquivos na pasta de download;
3 - Clique com o botão direito do mouse sobre o arquivo. Clique em "Abrir com Central de Programas do Ubuntu":
4 - Aguarde. Quando visualizar o botão "Instalar", clique sobre ele:
5 - Quando o processo de instalação estiver concluído, feche a Central de Programas.
6 - Pesquise no Dash por "ekd", você terá um resultado. Clique no ícone correspondente () para acioná-lo.

A exploração dos recursos do software é por sua conta:
página do projeto no SourceForge
página do projeto

9 comentários:

ekdm disse...

Hello,

The new version 3.1.2:

http://sourceforge.net/projects/ekd/files/ekd/3.1.2

In this video are shown the new features in version 3.1.2:

http://www.youtube.com/watch?v=6v1dpcOYwuc&hd=1

TutorFree disse...

vocês precisam corrigir uma pequena coisa: incluir na instalação: mencoder e mplayer, para um usuário leigo isso pode tornar as coisas confusas.

Atualizei os links.

Obrigado.

ekdm disse...

Hi,

Firstly is it possible to speak english? (I'm french) and portuguese ... not easy for me!

Under GNU/Linux dépendancies should only be installed when installing the easy install script:

http://ekd.tuxfamily.org/index.php/INSTekd/LinuxEnglish

.... or compile:

http://ekd.tuxfamily.org/index.php/CompilSources/Linux (sorry this page is only in french yet)

.... when installing the apt repository (Ubuntu, Debian, Linux Mint, ...) dependencies (ie Mplayer, Mencoder, FFmpeg, ...) are automatically installed:

http://ekd.tuxfamily.org/index.php/INSTekd/LinuxDepotDebUbuntu (sorry this page is only in french yet)

... during installation, for a distribution based on RPM (Mandriva, Fedora, ...), dependencies must be installed before (nobody has included EKD in a RPM reposity):

http://ekd.tuxfamily.org/index.php/INSTekd/LinuxInstallRPM (sorry this page is only in french yet)

Regarding Windows, EKD is a portable software (all dependencies are included in the EKD tree):

http://ekd.tuxfamily.org/index.php/Telechargement/Windows (sorry this page is only in french yet)

Installing the executable version:

http://ekd.tuxfamily.org/index.php/Telechargement/Windows#toc4 (sorry this page is only in french yet)

... however, pay attention to this:

http://ekd.tuxfamily.org/index.php/Telechargement/Windows#toc7 (sorry this page is only in french yet)

EnKoDeur-Mixeur can even be used from a USB drive in Windows:

http://ekd.tuxfamily.org/index.php/Telechargement/Windows#toc3 (sorry this page is only in french yet)

That is what a portable software:

http://en.wikipedia.org/wiki/List_of_portable_software

EKD is portable only under Windows.

TutorFree disse...

Tout d'abord, merci pour la réponse.
Comme je l'avais déjà dit: ce n'est pas un problème, il ne serait qu'un élément facilitateur.
EKD est un outil intéressant.
Félicitations pour le travail!.

ekdm disse...

C'est super sympa de répondre en français, mille merci ! (attention malgré tout aux traductions google trad ...).

Je n'ai pas entièrement compris votre message du "31 de agosto de 2012 06:26" car il est en portugais, pouvez-vous me le traduire en français s'il vous plaît ?

Autrement quelques éléments par rapport à EnKoDeur-Mixeur ; la documentation se trouve ici:

http://ekd.tuxfamily.org/index.php/Acceuil/Didacticiels

... il y a notamment des didacticiels vidéo (certains sont uniquement en français). Par rapport à ces didacticiels voilà les derniers (ceux que j'ai faits ces derniers jours):

* http://www.youtube.com/watch?v=jukvfjljbkU
* http://www.youtube.com/watch?v=2qN97JFuO7c
* http://www.youtube.com/watch?v=1K3LsjBXJE8&hd=1
* http://www.youtube.com/watch?v=LWH5CHDNH4I&hd=1
* http://www.youtube.com/watch?v=JUVq7fcgdSg&hd=1

Voici aussi deux vidéos que j'ai faites pour montrer le potentiel du logiciel (ici en ce qui concerne les filtres image):

* http://www.youtube.com/watch?v=L_6SZsoXvdA&hd=1
* http://www.youtube.com/watch?v=GYwZK-1TSAs&hd=1

Ce serait vraiment bien de faire du buzz (beaucoup de publicité) pour qu'un maximum de monde puisse voir ces vidéos (et que les gens utilisent EKD) chez vous au Bresil. Voici ma chaîne youtube:

http://www.youtube.com/user/EnKoDeurMixeur

Un dernier lien, le blog officiel du projet:

http://ekdm.wordpress.com

Je vous remercie pour cet article sur votre blog !

TutorFree disse...

Désolé pour ma traduction imparfaite (google), je ne parle pas français, en dépit d'un nom est le français.
Le message précédent:
S'il vous plaît, vous devez inclure, en quelque sorte, l'installation mencoder et autres dépendances. Lay utilisateurs (ici au Brésil de nombreux nouveaux utilisateurs de GNU / Linux) peut être confondue parce qu'ils n'ont pas suffisamment de connaissances pour comprendre au sujet de ces dépendances.
Utiliser Linux depuis 2002, je n'ai pas de problèmes pour installer le programme de l'EKD, mais vous venez de migrer d'OS peuvent ne pas être la même facilité d'ajouter ces dépendances.

Merci de votre attention.
(Traduction: google)

ekdm disse...

> Désolé pour ma traduction imparfaite (google), je ne parle pas
> français, en dépit d'un nom est le français.

J'ai tout compris malgré tout !

Quel est votre nom ?

> Le message précédent:
> S'il vous plaît, vous devez inclure, en quelque sorte,
> l'installation mencoder et autres dépendances. Lay utilisateurs (ici
> au Brésil de nombreux nouveaux utilisateurs de GNU / Linux) peut
> être confondue parce qu'ils n'ont pas suffisamment de connaissances
> pour comprendre au sujet de ces dépendances.
> Utiliser Linux depuis 2002, je n'ai pas de problèmes pour installer
> le programme de l'EKD, mais vous venez de migrer d'OS peuvent ne pas > être la même facilité d'ajouter ces dépendances.

En fait je n'avais pas compris votre message dès le départ (google trad m'avait traduit votre message en portugais n'importe comment !).

Pour répondre à votre demande, il faut comprendre qu'il y a pas mal de distributions différentes sous GNU/Linux (et pas mal de procédures d'installations différentes suivant les distributions). Vous avez oublié de me dire quelle est la distribution la plus répandue avec laquelle les utilisateurs veulent installer les dépendances d'EKD (c'est à dire Mplayer/Mencoder, FFmpeg, ... ImageMagick, ...). Si les utilisateurs veulent installer les dépendances d'EKD sous Ubuntu (ou Debian, ou Linux Mint ... ou toute autre distribution à base Debian, c'est relativement facile). Dans ce cas voilà la commande (sudo est à utiliser sous Ubuntu ou Linux mint, pas sous Debian):

sudo apt-get install mplayer mencoder python-qt4 python-imaging python-numpy ffmpeg ffmpeg2theora imagemagick sox

En ce qui concerne G'MIC (qui est beaucoup utilisé dans les filtres image d'EKD) la procédure d'installation (sous Ubuntu ... Debian) peut être consultée ici:

http://ekd.tuxfamily.org/index.php/INSTekd/MiseEnPlaceGmic (désolé, uniquement en français)

On peut installer toutes ces dépendances en mode graphique sous Ubuntu (mais je n'ai pas fait de didacticiel pour le faire ... j'aimerais bien que quelqu'un le fasse à ma place).

Je me répète (pour l'installation sous Ubuntu, Linux Mint ou Debian) ... en mettant en place le dépôt apt d'EKD ... toutes les dépendances seront automatiquement installées:

http://ekd.tuxfamily.org/index.php/INSTekd/LinuxDepotDebUbuntu (désolé, uniquement en français)

Autre méthode (sans doute la plus facile):

Une personne a fait un dépôt PPA (installable uniquement sous Ubuntu et à partir de la version Oneiric) pour EKD (par contre je ne sais pas si il a pris en compte la dernière version 3.1.2):

http://ekd.tuxfamily.org/index.php/INSTekd/LinuxDepotDebUbuntu#toc11 (désolé, uniquement en français)

Pour cette dernière solution, voilà la procédure (les commandes à entrer dans le terminal):

sudo add-apt-repository ppa:upubuntu-com/graphics
sudo apt-get update
sudo apt-get install ekd

> Merci de votre attention.

De rien.

> (Traduction: google)

J'espère que vous comprendrez (dans les détails) ma réponse.

TutorFree disse...

Je comprends votre réponse.
Je suis un utilisateur de Linux, je ne travaille pas dans le domaine des technologies de l'information.
Je n'ai aucun problème avec l'installation de programmes sous Linux.
Pennsei nous pondre des utilisateurs, ils pourraient avoir des difficultés.
Je pense que la traduction de Google est en nous laissant confus.

Nouvelles de l'EKD sera publié dans mon blog.
Mon nom est Antoine.

ekdm disse...

> Je comprends votre réponse.
> Je suis un utilisateur de Linux, je ne travaille pas
> dans le domaine des technologies de l'information.

Moi non plus, je suis professeur d'arts plastiques en collège (pour des jeunes entre 10 et 16 ans). I'm an art teacher in college (for young people between 10 and 16 years).

> Pennsei nous pondre des utilisateurs, ils pourraient
> avoir des difficultés.

Là je n'ai pas compris votre réponse. I don't understand your response here.

> Je pense que la traduction de Google est en nous laissant confus.

C'est vrai que les traductions de google sont confuses. Google traductions are not good.

> Nouvelles de l'EKD sera publié dans mon blog.

Merci beaucoup ! Thanks a lot !

Postar um comentário

 

Copyright © TutorFree Design by Free CSS Templates | Blogger Theme by BTDesigner | Powered by Blogger